Skip to content
Developer Docs

Operation details

GET
/flow/v1/operations/{uuid}

Returns all the information of a specific operation. The primary source of truth for ERP integration.

Includes status, type, expiration, dates and configuration. For PAYMENT operations also returns the PSD2 payment details and the paymentUuid needed to fetch the payment record once the operation is COMPLETED. The response also exposes the channel attribution (collaborator) inherited from the owning flow.

Autorizaciones

OAuth2

OAuth2 security scheme

clientCredentials Flow
URL del token"/api/v2/auth/token"
Scopes:
  • "zertiban-api"Access to the API

Parámetros

Header Parameters

x-tenant-id*

Tenant identifier that contains the organisation UUID

Tipo
string
Requerido
Ejemplo"1f56c928-7621-44fe-8cda-c211fda0a828"
Formato
"uuid"

Path Parameters

uuid*
Tipo
string
Requerido
Formato
"uuid"

Respuestas

Operation details

application/json
JSON
{
  
"uuid": "94ba8750-b772-4ca1-91b0-1c8a658a6175",
  
"externalId": "EXT-99",
  
"configurationUuid": "e4f2b446-30c3-4e4e-a767-188c552ca459",
  
"status": "CREATED",
  
"type": "PAYMENT",
  
"expirationOffset": "P7D",
  
"expiresAt": "2025-09-25T10:00:00Z",
  
"createdAt": "2025-09-25T10:00:00Z",
  
"flowUuid": "94ba8750-b772-4ca1-91b0-1c8a658a6175",
  
"synchronous": true,
  
"payment": {
  
  
"paymentUuid": "d0986926-2b7c-44f2-8d14-0a283cfe4886",
  
  
"amount": 176483,
  
  
"currency": "EUR",
  
  
"types": [
  
  
  
[
  
  
  
  
"PSD2_PAYMENT"
  
  
  
]
  
  
],
  
  
"psd2Payment": {
  
  
  
"type": "FUTURE_PAYMENT",
  
  
  
"product": "INSTANT_SEPA_CREDIT_TRANSFER",
  
  
  
"requestedExecutionDate": "2025-10-01",
  
  
  
"creditorAccount": {
  
  
  
  
"uuid": "94ba8750-b772-4ca1-91b0-1c8a658a6175"
  
  
  
}
  
  
},
  
  
"concept": "Pago factura 9911",
  
  
"documents": [
  
  
  
{
  
  
  
  
"uuid": "94ba8750-b772-4ca1-91b0-1c8a658a6175",
  
  
  
  
"type": "INVOICE",
  
  
  
  
"name": "Factura 9911"
  
  
  
}
  
  
],
  
  
"subject": {
  
  
  
"name": "Luis",
  
  
  
"lastName": "Gómez",
  
  
  
"email": "[email protected]"
  
  
}
  
},
  
"invoice": {
  
  
"externalId": "INV-9911",
  
  
"dueDate": "2025-10-30T00:00:00Z",
  
  
"collectedAmount": {
  
  
  
"amount": 12343,
  
  
  
"currency": "EUR"
  
  
}
  
},
  
"flow": {
  
  
"collaborator": {
  
  
  
"uuid": "f7c1a2b3-4d5e-6f70-8192-a3b4c5d6e7f8",
  
  
  
"legalName": "Gestoria Perez SL"
  
  
}
  
}
}

Playground

Servidor
Autorización
Headers
Variables
Key
Value

Ejemplos